Sketcher Workbench

From FreeCAD Documentation
Revision as of 07:31, 8 October 2018 by FuzzyBot (talk | contribs) (Updating to match new version of source page)
Jump to: navigation, search
Other languages:
български • ‎čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎hrvatski • ‎magyar • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎polski • ‎português • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文 • ‎中文(中国大陆)‎ • ‎中文(繁體)‎ • ‎中文(台灣)‎

Warsztat Szkicownika (Sketcher Workbench) używany jest do tworzenia geometrii 2D przeznaczonej do wykorzystania w Warsztacie PartDesign i innych warsztatach. Zasadniczo geometria 2D jest uznawana za punkt startowy dla większości modeli CAD - prosty szkic 2D może zostać 'wyciągnięty' w bryłę 3D, dalsze szkice 2D mogą zostać użyte do stworzenia kieszeni (zagłębień) na powierzchni tej bryły i w końcu szkice mogą zostać użyte do wykonania 'występów' (wyciągnięć) na powierzchni obiektów 3D. Wraz z operacjami boole'owskimi, kształty powstałe ze szkiców są rdzeniem produktywnego modelowania bryłowego.

Warsztat Szkicownika cechuje się więzami pozwalając na opisanie kształtów 2D dokładnymi definicjami geometrycznymi. Dodatkowo solwer przelicza tę geometrię pozwalając na interaktywne badanie stopni swobody szkicu.

FC ConstrainedSketch.png

Podstawowy szkic w pełni ograniczony więzami.

Podstawy szkicowania z więzami

By wytłumaczyć jak działa Szkicownik może być przydatne porównanie do "tradycyjnego" sposobu rysowania.

Rysowanie Tradycyjne

Tradycyjna metoda rysowania CAD pochodzi od dawnej deski kreślarskiej. Rzuty prostopadłe (2D) są rysowanie ręczenie i przeznaczone do tworzenia rysunków technicznych. Obiekty są rysowane precyzyjnie w zamierzonej skali lub wymiarze. Jeśli chcesz narysować poziomą linię o długości 100mm startującą w punkcie (0,0), musisz aktywować narzędzie linii, kliknąć na ekranie bądź wprowadzić współrzędne (0,0) dla pierwszego punktu, następnie wykonać kolejne kliknięcie lub wprowadzić współrzędnie dla drugiego punktu (0,100). Ewentualnie możesz narysować linię bez określanie jej pozycji i przesunąć ją później. Kiedy skończysz rysować geometrię, dodajesz wymiary do niej.

Szkicowanie z Więzami

Skicownik odchodzi od tej logiki. Obiekty nie muszą być rysowane dokładnie jak założyłeś, bo zostaną później zdefiniowane za pomocą więzów. Obiekty mogą być rysowane nieściśle i, tak długą jak nie są ograniczone więzami, mogą być modyfikowane. W efekcie są "pływające" i mogą być przesuwane, rozciągane, obracane, skalowane itp. To daje ogromną elastyczność procesu projektowania.

Czym są więzy?

Więzy używane są do ograniczenia stopni swobody obiektu. Dla przykładu, linia bez więzów ma 4 stopnie swobody: może być przesuwana w poziomie lub pionie, rozciągana i obracana.

Wykorzystanie więzu poziomego lub pionowego, lub więzu kąta (względem innej linii lub jednej z osi), ogranicz jej zdolność do obracania pozostawiając ją z 3 stopniami swobody. Zablokowanie jednego z punktów w relacji do układu współrzędnych usunie kolejne dwa stopnie. W końcu zastosowanie więzu wymiaru usunie ostatni stopień swobody. Linia jest w wtedy uznawana za w pełni ograniczoną więzami.

Różne obiekty mogą być wiązane między sobą. Dwie linie mogą być związane, którymiś ze swoich punktów, więzem nachodzenia (coincident). Między zostać ustawiony kąt między nimi lub mogą zostać powiązane jako prostopadłe. Linia może być styczna do łuku lub okręgu itp.

Są dwa typy więzów: geometryczne i wymiarowe.Są one opisane dokładnej w poniższej sekcji 'The tools'.

Zastosowania do których Szkicownik się nie nadaje

Szkicownik nie jest przeznaczony do tworzenia dokumentacji 2D. Gdy szkice zostają użyte do utworzenia brył, są automatycznie ukrywane. Wymiary są widoczne tylko w trybie edycji Szkicownika.

Jeśli potrzebujesz tylko stworzyć widoki 2D do wydruku, i nie chcesz tworzyć modeli 3D, sprawdź warsztat Draft (weź pod uwagę, że warsztat Draft może być także użyteczny przy tworzeniu geometrii 2D niedostępnej aktualnie w Szkicowniku, jak B-Splajny.)

Sketching Workflow

To be added

If the Sketch has segments that cross one another, places where a Point is not directly on a segment, or places where there are gaps between endpoints of adjacent segments, Pad or Revolve won't create a solid. The exception to this rule is that it doesn't apply to Construction (blue) Geometry.

Inside the enclosed area we can have smaller non-overlapping areas. These will become voids when the 3D solid is created.

Narzędzia

Narzędzia Warsztatu Szkicownika znajdują się w menu Szkicownika, które pojawia się po załadowaniu tego warsztatu.

  • Sketcher NewSketch.png New sketch: Creates‎ a new sketch on a selected face or plane. If no face is selected while this tool is executed the user is prompted to select a plane from a pop-up window.
  • Sketcher ViewSketch.png View sketch: Sets the model view perpendicular to the sketch plane.
  • Sketcher ViewSection.png View section: v0.18 and above Creates a section plane that temporarily hides any matter in front of the sketch plane.
  • Validate sketch: It allows you to check if there are in the tolerance of different points and to match them.
  • Sketcher MirrorSketch.png Mirror sketch: Mirror a sketch along the x-axis, the y-axis or the origin [v 0.16]

Sketcher geometries

These are tools for creating objects.

  • Sketcher Arc.png Arc: Draws an arc segment from center, radius, start angle and end angle.
  • Sketcher CreateArc3Point.png Arc by 3 Point: Draws an arc segment from two endpoints and another point on the circumference.
  • Sketcher Circle.png Circle: Draws a circle from center and radius.
  • Sketcher CreatePolyline.png Polyline (multiple-point line): Draws a line made of multiple line segments. Pressing the M key while drawing a Polyline toggles between the different polyline modes.
  • Sketcher CreateRectangle.png Rectangle: Draws a rectangle from 2 opposite points.
  • Sketcher CreateTriangle.png Triangle: Draws a regular triangle inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreateSquare.png Square: Draws a regular square inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreatePentagon.png Pentagon: Draws a regular pentagon inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreateHexagon.png Hexagon: Draws a regular hexagon inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreateHeptagon.png Heptagon: Draws a regular heptagon inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreateOctagon.png Octagon: Draws a regular octagon inscribed in a construction geometry circle. (v0.15)
  • Sketcher CreateSlot.png Slot: Draws an oval by selecting the center of one semicircle and an endpoint of the other semicircle.
  • Sketcher CreateFillet.png Fillet: Makes a fillet between two lines joined at one point. Select both lines or click on the corner point, then activate the tool.
  • Sketcher Trimming.png Trimming: Trims a line, circle or arc with respect to the clicked point.
  • Sketcher ToggleConstruction.png Construction Mode: Toggles sketch geometry from/to construction mode. Construction geometry is shown in blue and is discarded outside of Sketch editing mode.

Sketcher constraints

Constraints are used to define lengths, set rules between sketch elements, and to lock the sketch along the vertical and horizontal axes. Some constraints require use of Helper constraints.

Geometric constraints

These constraints are not associated with numeric data.

  • Sketcher ConstrainCoincident.png Coincident: Affixes a point onto (coincident with) one or more other points.
  • Sketcher ConstrainPointOnObject.png Point On Object: Affixes a point onto another object such as a line, arc, or axis.
  • Constraint Vertical.png Vertical: Constrains the selected lines or polyline elements to a true vertical orientation. More than one object can be selected before applying this constraint.
  • Constraint Horizontal.png Horizontal: Constrains the selected lines or polyline elements to a true horizontal orientation. More than one object can be selected before applying this constraint.
  • Sketcher ConstrainParallel.png Parallel: Constrains two or more lines parallel to one another.
  • Sketcher ConstrainPerpendicular.png Perpendicular: Constrains two lines perpendicular to one another, or constrains a line perpendicular to an arc endpoint.
  • Constraint Tangent.png Tangent: Creates a tangent constraint between two selected entities, or a co-linear constraint between two line segments. A line segment does not have to lie directly on an arc or circle to be constrained tangent to that arc or circle.
  • Sketcher ConstrainEqual.png Equal Length: Constrains two selected entities equal to one another. If used on circles or arcs their radii will be set equal.
  • Sketcher ConstrainSymmetric.png Symmetric: Constrains two points symmetrically about a line, or constrains the first two selected points symmetrically about a third selected point.

Dimensional constraints

These are constraints associated with numeric data, for which you can use the expressions. The data may be taken from a spreadsheet.

  • Sketcher ConstrainLock.png Lock: Constrains the selected item by setting vertical and horizontal distances relative to the origin, thereby locking the location of that item. These constraint distances can be edited later.
  • Sketcher ConstrainDistanceX.png Horizontal Distance: Fixes the horizontal distance between two points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Sketcher ConstrainDistanceY.png Vertical Distance: Fixes the vertical distance between 2 points or line endpoints. If only one item is selected, the distance is set to the origin.
  • Sketcher ConstrainDistance.png Distance: Defines the distance of a selected line by constraining its length, or defines the distance between two points by constraining the distance between them.
  • Sketcher ConstrainRadius.png Radius: Defines the radius of a selected arc or circle by constraining the radius.
  • Constraint InternalAngle.png Internal Angle: Defines the internal angle between two selected lines.
  • Constraint SnellsLaw.png Snell's Law: Constrains two lines to obey a refraction law to simulate the light going through an interface. (v 0.15)
  • Constraint InternalAlignment.png Internal Alignment: Aligns selected elements to selected shape (e.g. a line to become major axis of an ellipse).
  • Sketcher ToggleConstraint.png Toggle Constraint: Toggles the toolbar or the selected constraints to/from reference mode. v0.16

Sketcher tools

  • Sketcher SelectElementsWithDoFs.svg Select solver DOFs: v0.18 and above Highlights in green the geometry with degrees of freedom (DOFs), i.e. not fully constrained.
  • Sketcher CloseShape.png Close Shape: Creates a closed shape by applying coincident constraints to endpoints [v 0.15]
  • Sketcher ConnectLines.png Connect Edges: Connect sketcher elements by applying coincident constraints to endpoints [v 0.15]
  • Sketcher Element Ellipse All.png Show/Hide internal geometry: Recreates missing/deletes unneeded internal geometry of a selected ellipse, arc of ellipse/hyperbola/parabola or B-spline.
  • Sketcher Symmetry.png Symmetry: Copies a sketcher element symmetrical to a chosen line [v 0.16]
  • Sketcher Clone.png Clone: Clones a sketcher element [v 0.16]
  • Sketcher Copy.png Copy: Copies a sketcher element [v 0.16]
  • Sketcher Move.svg Move: v0.18 and above Moves the selected geometry taking as reference the last selected point.

Sketcher B-spline tools

Sketcher virtual space

Preferences

Dobre praktyki

Każdy użytkownik systemów CAD wypracowuje własny sposób pracy, ale poniżej znajduje się kilka użytecznych, głównych wskazówek do wykorzystania.

  • Kilka prostych szkiców jest łatwiej opanować niż jeden skomplikowany. Np., pierwszy szkic może być utworzony jako baza do cechy 3D (występu lub kieszeni), kiedy drugi może zawierać otwory lub wycięcia (kieszenie). Część szczegółów może zostać wyrzucona, by zrealizować je w postaci cech 3D. Możesz uniknąć zaokrągleń w szkicu jeśli jest ich zbyt wiele i dodać je jako cechy 3D.
  • Zawsze twórz zamknięty profil, inaczej ze szkicu nie zostanie utworzona bryła, a zbiór otwartych ścian. Jeśli nie chcesz użyć niektórych obiektów podczas tworzenia bryły, zmień je na elementy konstrukcyjne narzędziem Tryb Konstrukcji.
  • Użyj funkcji autowiązania by ograniczyć ilość więzów które będziesz dodawał ręcznie
  • Jako główna zasada, najpierw dodawaj więzy geometryczne, potem wymiarowe i na końcu zablokuj szkic. Ale zapamiętaj: zasady są po to by je łamać. Jeśli masz problemy z manipulowaniem szkicem, może być przydatne związanie najpierw kilku obiektów przed ukończeniem rysowania profilu.
  • Jeśli to możliwe, wycentruj szkic na początku układu współrzędnych (0,0) używając więzu blokady.Jeśli szkic nie jest symetryczny, ustaw jeden z jego punktów na początku układu współrzędnych lub wybierz całkowite liczby do zablokowania odległości. W v0.12 więzy zewnętrzne nie są zaimplementowane (dopiero v0.13 ma ich wstępną obsługę). Znaczy to, że by ustawić geometrię szkicu do szkicu wcześniejszego, musisz zrobić to ręczne. Więz blokady (25,75) od początku układu współrzędnych jest znacznie łatwiejszy do zapamiętania niż taki (23.47,73.02).
  • Jeśli możesz wybrać pomiędzy więzem Długości a Poziomym lub Pionowym więzem Odległości, wybierz ten drugi. Będzie on lżejszy w procesie obliczeń.


Tutorials